## org.apache.poi.hwpf.model
Class PropertyNode.EndComparator

    java.lang.Object
      org.apache.poi.hwpf.model.PropertyNode.EndComparator

All Implemented Interfaces:
  java.util.Comparator<PropertyNode<?>>

Enclosing class:
  PropertyNode<T extends PropertyNode<T>>

    public static final class PropertyNode.EndComparator

extends java.lang.Object
implements java.util.Comparator<PropertyNode<?>>

Field Summary
`static PropertyNode.EndComparator` `instance`

Constructor Summary
`PropertyNode.EndComparator()`

Method Summary
`int` `compare(PropertyNode<?> o1, PropertyNode<?> o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### instance

    public static PropertyNode.EndComparator instance

Constructor Detail

### PropertyNode.EndComparator

    public PropertyNode.EndComparator()

Method Detail

### compare

    public int compare(PropertyNode<?> o1,
                       PropertyNode<?> o2)

  Specified by:
    `compare` in interface `java.util.Comparator<PropertyNode<?>>`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.